> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret value by label

> Get the actual secret value by label. Only accessible to service accounts. Label format: `<secret-name>.<key>`



## OpenAPI

````yaml /api-reference/5.18/fusion-api-apps-manager.json get /vault/secrets/{label}/value
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
  - name: Fusion Vault
    description: Endpoints for accessing secrets stored in Kubernetes via Fusion Vault.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /vault/secrets/{label}/value:
    get:
      tags:
        - Fusion Vault
      summary: Get secret value by label
      description: >-
        Get the actual secret value by label. Only accessible to service
        accounts. Label format: `<secret-name>.<key>`
      operationId: getSecretValue
      parameters:
        - name: label
          in: path
          description: 'Logical secret label in format: <secret-name>.<key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved secret value
          content:
            application/json:
              schema:
                $ref: 16b146ae-cb80-4e0c-8a9f-396f5c667c93
        '403':
          description: Service account not authorized
          content:
            application/json:
              schema:
                $ref: 16b146ae-cb80-4e0c-8a9f-396f5c667c93
        '404':
          description: Secret or key not found
          content:
            application/json:
              schema:
                $ref: 16b146ae-cb80-4e0c-8a9f-396f5c667c93
        '500':
          description: K8s API unavailable
          content:
            application/json:
              schema:
                $ref: 16b146ae-cb80-4e0c-8a9f-396f5c667c93

````